﻿USE [DbMap]
GO
/****** Object:  StoredProcedure [dbo].[IsInCommission5]    Script Date: 08/10/1403 02:06:03 ب.ظ ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER Procedure [dbo].[IsInCommission5]
	@Rc nvarchar(4000),@result bit out
As        
		Declare @g geography            
		set @rc=[dbo].[SplitString](@rc,'-')   
		set @Rc=left(@Rc,16)         
   If Exists(     
   SELECT * FROM (
		Select ROW_NUMBER() Over (Order By S.CreateDate) As Row,
			L.LayerCaption,
			L.LayerID,S.Code ShapeCode	
			FROM LayerInfo L 	
			inner join ShapeInfo S WITH (NOLOCK, INDEX(SI_Geog)) on L.NIdLayer = S.NIdLayer	
			Inner Join LayerGroup G On G.NIdLayerGroup = L.NIdLayerGroup	
			Left  Join ShapeInfo_MData SHMData ON   SHMData.NIdShape = S.NIdShape	
			, ShapeInfo shapeCode 	
			
			WHERE S.Geog.STIntersects(shapeCode.Geog) = 1 and l.LayerID = 571927 and shapeCode.code = @Rc
				) A     
			 )		
	set @result = 1    
	  else 	
	set @result = 0              
